Name: fatrat
Version: 1.2.0
Release: 0.5.beta1%{?dist}
Epoch: 1
Summary: Feature-rich download manager
Group: Applications/Internet
License: GPLv2 and BSD and MIT
URL: http://fatrat.dolezel.info
Source0: http://www.dolezel.info/download/data/fatrat/fatrat-%{version}_beta1.tar.gz

Patch0: fatrat-cmake-libs.patch
Patch1: fatrat-headers.patch
Patch2: fatrat-boost-cygwin.patch
Patch3: fatrat-gcc47-missing-includes.patch

Patch10: fatrat-remove-java-applet.patch

BuildRequires: cmake, qt4-devel, qt-sqlite
BuildRequires: libcurl-devel >= 7.18.2
BuildRequires: rb_libtorrent-devel >= 0.15.7, asio-devel, qt-webkit-devel
BuildRequires: gloox-devel >= 0.9
BuildRequires: pion-net-devel >= 3.0
BuildRequires: java-1.7.0-openjdk-devel
BuildRequires: desktop-file-utils

%description
FatRat is download manager written in C++ and build on top of the Qt4 library.
It is rich in features and is continuously extended. Main characteristics:

- Segmented HTTP(S)/FTP downloads
- FTP uploads
- Support for SOCKS5 and HTTP proxies
- RSS feed support + special functions for TV shows and podcasts
- BitTorrent support (including torrent creating, DHT, UPnP, encryption etc.)
- Torrent search on mayor torrent sites
- RapidShare.com FREE and premium downloads
- RapidShare.com uploads
- RapidShare.com link verification and folder extraction
- RapidSafe link decoding
- MD4/MD5/SHA1 hash computing
- Remote control via Jabber
- Remote control via an AJAX web interface
- Subtitle search
- Scheduler
- Clipboard monitor

%package devel
Summary: Development libraries for fatrat
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description devel
FatRat is download manager written in C++ and build on top of the Qt4 library.
It is rich in features and is continuously extended.

This package contains header files needed for development of FatRat plugins.


%prep
%setup -q -n %{name}-%{version}_beta1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

rm -rf data/remote/applet.html data/remote/applet/
%patch10 -p1

%build
export JAVA_HOME="%{java_home}"
%{cmake} . \
	-DCMAKE_EXE_LINKER_FLAGS="-lpthread -lssl -lcrypto -lboost_system-mt -lboost_filesystem-mt -lboost_thread-mt -llog4cpp" \
	-DWITH_NLS=ON \
	-DWITH_CURL=ON \
	-DWITH_BITTORRENT=ON \
	-DWITH_JABBER=ON \
	-DWITH_DOCUMENTATION=ON \
	-DWITH_WEBINTERFACE=ON \
	-DWITH_JPLUGINS=ON
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

desktop-file-validate %{buildroot}/%{_datadir}/applications/fatrat.desktop

# install documentation to proper locations
# (leave symlinks for About dialog)

install -d -m 0755 %{buildroot}%{_docdir}/fatrat-%{version}
for file in AUTHORS LICENSE README TRANSLATIONS; do
	mv %{buildroot}%{_datadir}/fatrat/${file} %{buildroot}%{_docdir}/fatrat-%{version}/
	ln -s %{_docdir}/fatrat-%{version}/${file} %{buildroot}%{_datadir}/fatrat/${file}
done

# create directory for plugins
install -d -m 0755 %{buildroot}%{_libdir}/fatrat/plugins


%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README TRANSLATIONS
%{_bindir}/fatrat
%{_bindir}/fatrat-conf
%{_datadir}/fatrat
%{_mandir}/man1/*
%{_datadir}/applications/fatrat.desktop
%{_datadir}/pixmaps/fatrat.png
%dir %{_libdir}/fatrat
%dir %{_libdir}/fatrat/plugins

%files devel
%defattr(-,root,root,-)
%{_includedir}/fatrat


%changelog
* Wed May 02 2012 Jan Vcelak <jvcelak@redhat.com> 1.2.0-0.5.beta1
- fix: remove bundled libraries (#813721)
  Java applet web interface was removed from the package
- use java-1.7.0

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.2.0-0.4.beta1
- Rebuilt for c++ ABI breakage

* Wed Feb 08 2012 Jan Vcelak <jvcelak@redhat.com> 1.2.0-0.3.beta1
- fix typo in specfile causing unavailability of localizations

* Thu Feb 02 2012 Jan Vcelak <jvcelak@redhat.com> 1.2.0-0.2.beta1
- rebuild
- resolve gcc 4.7 incompatibilities

* Mon Dec 12 2011 Jan Vcelak <jvcelak@redhat.com> 1.2.0-0.1.beta1
- fix License field (missing licenses for JavaScript libraries)
- fix pre-release to match Fedora Guidelines for pre-release

* Tue Nov 22 2011 Jan Vcelak <jvcelak@redhat.com> 1.2.0_beta1-1
- rebase the package:
  + new AJAX web interface
  + support for plugins written in Java
- removed all plugins, will be packaged separately due to diversion
  in version numbering

* Sun Nov 20 2011 Thomas Spura <tomspur@fedoraproject.org> - 1.1.3-6
- rebuild for https://fedoraproject.org/wiki/Features/F17Boost148

* Tue Aug 09 2011 Jan Vcelak <jvcelak@redhat.com> 1.1.3-5
- rebuild against new boost (1.47.0)

* Thu Apr 07 2011 Jan Vcelak <jvcelak@redhat.com> 1.1.3-4
- rebuild against new boost (1.46.1)

* Sat Feb 19 2011 Jan Vcelak <jvcelak@redhat.com> 1.1.3-3
- add -DBOOST_FILESYSTEM_VERSION=2 flag to workaround incompatibility
  of rb_libtorrent with new libboost

* Wed Sep 29 2010 Jan Vcelak <jvcelak@redhat.com> 1.1.3-2
- update czshare plugin

* Mon Sep 27 2010 Jan Vcelak <jvcelak@redhat.com> 1.1.3-1
- update to latest upstream version

* Wed Sep 08 2010 Jan Vcelak <jvcelak@redhat.com> 1.1.2-1
- initial release
